Summary:	KDE framework for the creation and generation of reports in multiple formats
Name:		kreport
Version:	3.0.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	http://fr2.rpmfind.net/linux/KDE/stable/kreports/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5config-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5guiaddons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	pkgconfig(KPropertyWidgets3)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

%description
KDE framework for the creation and generation of reports in multiple formats.

%files
%dir %{_kde5_datadir}/kreport3/
%{_kde5_datadir}/kreport3/*
%{_kde5_servicetypes}/kreport_elementplugin.desktop
%{_qt5_plugindir}/kreport3/org.kde.kreport.barcode.so
%{_qt5_plugindir}/kreport3/org.kde.kreport.web.so

#----------------------------------------------------------------------------

%define kreport3_major 3
%define libkreport3 %mklibname kreport3_ %{kreport3_major}

%package -n %{libkreport3}
Summary:	KDE reports shared library
Group:		System/Libraries
Requires:	%{name}

%description -n %{libkreport3}
KDE reports shared library.

%files -n %{libkreport3}
%{_kde5_libdir}/libKReport3.so.%{kreport3_major}*

#----------------------------------------------------------------------------

%define devkreport %mklibname kreport -d

%package -n %{devkreport}
Summary:	Development files for KDE reports module
Group:		Development/KDE and Qt
Requires:	%{libkreport3} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devkreport}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkreport}
%{_kde5_includedir}/KReport3
%{_kde5_libdir}/cmake/KReport3
%{_kde5_libdir}/pkgconfig/KReport3.pc
%{_kde5_libdir}/libKReport3.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Fri Jan 13 2017 Rosa <rosa@abf.rosalinux.ru> 3.0.0-1
- (21fa48d) Automatic import for version 3.0.0-1


